#!/usr/bin/perl

open(FN,"<testdb.txt");

flock(FN,2);


@dbvals=<FN>;

system ('sleep 10');

print @dbvals;

open(FN,">>testdb.txt");
flock(FN,2);

print FN "1 appended value\n";

close(FN);

system('more testdb.txt');
